
#ifndef _OQL_CONTEXT_H_
#define	_OQL_CONTEXT_H_
/*
   A context used for compiling and executing
   OQL queries.
   Specifies a database that queries are executed/compiled
   against, and a set of 'defined' constructs.
 */


class oqlDatabase {
public:
	oqlDatabase(char *name = "the database")
		: extents("extents"), types("types") {	}
	ExtentDB	extents;
	TypeDB		types;
};

class oqlContext {
public:
	oqlContext(char *name = "whatever")
		: db(name), defines("defines") { }
	oqlDatabase	db;
	SymbolTable	defines;
};
#endif /* _OQL_CONTEXT_H_ */
